package com.schoolinout.system.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author sakura
 * @date 2024/1/4 15:15:17 Thu
 */
@Schema(name = "添加班级实体")
public class AddClassDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 学校id
     */
    @Schema(description = "学校id")
    @NotNull(message = "请绑定学校")
    private Long schoolId;


    /**
     * 班级名称
     */
    @Schema(description = "班级名称")
    @NotBlank(message = "请输入当前班级名称")
    private String className;

    /**
     * 班级人数
     */
    @Schema(description = "班级人数")
    private Long classCount;

    /**
     * 班级电话
     */
    @Schema(description = "班级电话")
    private String phone;

    @Schema(description = "要绑定的教师")
    private List<Long> teacherIds;

    @Override
    public String toString() {
        return "AddClassDto{" +
                "schoolId=" + schoolId +
                ", className='" + className + '\'' +
                ", classCount=" + classCount +
                ", phone='" + phone + '\'' +
                ", teacherIds=" + teacherIds +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getClassCount() {
        return classCount;
    }

    public void setClassCount(Long classCount) {
        this.classCount = classCount;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<Long> getTeacherIds() {
        return teacherIds;
    }

    public void setTeacherIds(List<Long> teacherIds) {
        this.teacherIds = teacherIds;
    }
}
